// JavaScript Document$(document).ready(function() {
 $(".parametrage").click(function(){
	 var ss_parametre = $(this).parent().find('ul');
	 var picto = $(this).parent().find('.parametre');
	 $('.parametre').removeClass('ouvert');
	 $('.parametre').addClass('ferme');
	 $('.parametrage ul').hide();
	 $(picto).removeClass('ferme');
	 $(picto).addClass('ouvert');
	 $(ss_parametre).slideDown(200);
	 $(ss_parametre).addClass('activate');
	
	 $('.parametrage').off('mouseleave').mouseleave(function() {
			var elm = this;
			var to = setTimeout(function() { 
					$(ss_parametre).slideUp(200);
		 			$(ss_parametre).removeClass('activate');
					$(picto).removeClass('ouvert');
					$(picto).addClass('ferme'); 
				}, 1000);
			
			$(elm).off('mouseover').mouseover(function() { 
				clearTimeout(to); 
			});
		});
	 
	 $(".parametrage ul li a").click(function(){
		 //console.log('click');
		 $('.parametrage ul').slideUp();
		 $('.parametrage ul').removeClass('activate');
		 $('.parametre').removeClass('ouvert');
		 $('.parametre').addClass('ferme');
	 });
	 
	
			    	
});

 

           

	
	$(function () {
  		//$('[data-toggle="tooltip"]').tooltip();
	});
	 	
	$('.radio-inline').on('click',function(){
		$('.radio-inline').removeClass('active');
		$(this).addClass('active');
	
	});
	
	$('#filtre_fournisseur [data-toggle="collapse"]').on('click',function(){
		if($('#filtre_avances').css('display') === "none"){
			$('#filtre_fournisseur [data-toggle="collapse"]').css('background-image','url("./images/cross.png")');
			$('#filtre_fournisseur [data-toggle="collapse"]').css('background-position','20px 12px');
			$('#filtre_fournisseur [data-toggle="collapse"]').html('Retracter');
			
		} else {
			$('#filtre_fournisseur [data-toggle="collapse"]').css('background-image','url("./images/ajout.png")');
			$('#filtre_fournisseur [data-toggle="collapse"]').css('background-position','15px -36px');
			$('#filtre_fournisseur [data-toggle="collapse"]').html('Filtres avancés');

		}
	});
	$('#filtre_commandes [data-toggle="collapse"]').on('click',function(){
		if($('#filtre_avances').css('display') === "none"){
			$('#filtre_commandes [data-toggle="collapse"]').css('background-image','url("./images/cross.png")');
			$('#filtre_commandes [data-toggle="collapse"]').css('background-position','20px 12px');
			$('#filtre_commandes [data-toggle="collapse"]').html('Retracter');
			
		} else {
			$('#filtre_commandes [data-toggle="collapse"]').css('background-image','url("./images/ajout.png")');
			$('#filtre_commandes [data-toggle="collapse"]').css('background-position','15px -36px');
			$('#filtre_commandes [data-toggle="collapse"]').html('Filtres avancés');

		}
	});

	$('#affectations .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');

		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_ligne_affectation').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
	
		$('#tableau_commandes .loupe').click(function(){
			//console.log('ok');
		var index = $(this).closest('tr').attr('id');

		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_commande').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
		
	$('#commandes .loupe').click(function(){
			//console.log('ok');
		var index = $(this).closest('tr').attr('id');

		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_commande').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
			
			$('.detail_commande table tr td.loupe').click(function(){
				
				$('#'+index+'detail').removeClass('hide_detail');
			});
			
			
			
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
	

	$('#historique_facture .loupe').click(function(){
	var index = $(this).closest('tr').attr('id');

	if($('#'+index+'detail').hasClass('hide_detail')){
		$('.detail_historique_facture').addClass('hide_detail');
		$('.loupe').removeClass('actif');
		$('table tr').removeAttr( 'style' );
		$('#'+index+'detail').removeAttr( 'style' );
		$(this).addClass('actif');
		$('#'+index+'detail').removeClass('hide_detail');
		$('#'+index).css({
				'border':'2px solid rgba(102, 175, 233,0.9)',
				'border-bottom':'0px', 
				'border-top':'2px solid rgba(102, 175, 233,0.9)',
				'box-shadow':'none'
				
				});
		$('#'+index+'detail').css({
				'background-color': 'rgba(74, 85, 107, 0.06)',
				'border':'2px solid rgba(102, 175, 233,0.9)',
				'border-top':'0px',
				'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
				'box-shadow':'none'
		});
		
		
		
		
		
	} else {
		$(this).removeClass('actif')
		$('#'+index+'detail').addClass('hide_detail');
		$('#'+index).removeAttr( 'style' );
		$('#'+index+'detail').removeAttr( 'style' );
	}
});
	
	/*$('.historique_affectation tr td.loupe').click(function(){
		
		
		if($('#'+index+'detail').hasClass('hide_detail')){
			//console.log('hasClass');
			//console.log($('#'+index+'detail'));
			$('.detail_ligne').addClass('hide_detail');
			//console.log('addClass : hide_detail');
			$('.historique_affectation tr td.loupe').removeClass('actif');
			//console.log('loupe removeClass actif');
			$('table tr').removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
			$(this).addClass('actif');
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		}else {
			$(this).removeClass('actif');
			$('#'+index+'detail').addClass('hide_detail');
			$('table tr').removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});*/


	$('#bdd .loupe').click(function(){
		//console.log('ok');
	var index = $(this).closest('tr').attr('id');

	if($('#'+index+'detail').hasClass('hide_detail')){
		$('.detail_bdd').addClass('hide_detail');
		$('.loupe').removeClass('actif');
		$('table tr').removeAttr( 'style' );
		$('#'+index+'detail').removeAttr( 'style' );
		$(this).addClass('actif')
		$('#'+index+'detail').removeClass('hide_detail');
		$('#'+index).css({
				'border':'2px solid rgba(102, 175, 233,0.9)',
				'border-bottom':'0px', 
				'border-top':'2px solid rgba(102, 175, 233,0.9)',
				'box-shadow':'none'
				
				});
		$('#'+index+'detail').css({
				'background-color': 'rgba(74, 85, 107, 0.06)',
				'border':'2px solid rgba(102, 175, 233,0.9)',
				'border-top':'0px',
				'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
				'box-shadow':'none'
		});
	} else {
		$(this).removeClass('actif')
		$('#'+index+'detail').addClass('hide_detail');
		$('#'+index).removeAttr( 'style' );
		$('#'+index+'detail').removeAttr( 'style' );
	}
});


	$('#gestion-facture .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');
			
		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_facture').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
   	
	$('#visualisation_facture .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');
			
		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_facture').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
	
	$('#reglements_factures .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');
			
		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_ligne').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
	
	$('#reglement .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');
			
		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_ligne').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
	
	$('#eclatement_ligne .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');
			
		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_ligne').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
	
	/*$('.loupe').click(function(){
		var index = $(this).closest('tr').attr('id');
		console.log($('#'+index+'detail').attr('class'));	
		if($('#'+index+'detail').hasClass('hide_detail')){
			
			$('.detail_ligne').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif');
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});*/
	
	$('.switch input').click(function() {
		if ($(this).is(':checked')== true){
			$(this).parent().find('.value_switch').text('Oui');
		} else {
			$(this).parent().find('.value_switch').text('Non');

		}
        
    });
	
	$('#historique .voir_plus').click(function() {
		//console.log('ok, cliqué');
		$('.autres_periodes').css('display','table-row');
		$('.cumul_periodes').hide();
		$(this).parent('.lignes_supplementaires').hide();
        
    });
	
	$('#historique .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');
			
		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_ligne').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
	$('#accords_cadres .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');
			
		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_accord').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
	
	$('#article-accord-cadre .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');
			
		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_article').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
	
	$('#commandes-accord-cadre .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');
			
		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_commande').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
	
	$('#tableau_acquisition .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');
			
		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_importFact').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
	
	$('#tableau_factures_archivees .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');
			
		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_factArchivee').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
	
	$('#incidents .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');
			
		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_incident').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
	
	$('#attestations .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');
			
		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_attestation').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
	
	$('#articles .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');
			
		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_article').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
	
	$('#accords-groupes .loupe').click(function(){
		var index = $(this).closest('tr').attr('id');
			
		if($('#'+index+'detail').hasClass('hide_detail')){
			$('.detail_groupe').addClass('hide_detail');
			$('.loupe').removeClass('actif');
			$('table tr').removeAttr( 'style' );
			$(this).addClass('actif')
			$('#'+index+'detail').removeClass('hide_detail');
			$('#'+index).css({
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-bottom':'0px', 
					'border-top':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
					
					});
			$('#'+index+'detail').css({
					'background-color': 'rgba(74, 85, 107, 0.06)',
					'border':'2px solid rgba(102, 175, 233,0.9)',
					'border-top':'0px',
					'border-bottom':'2px solid rgba(102, 175, 233,0.9)',
					'box-shadow':'none'
			});
		} else {
			$(this).removeClass('actif')
			$('#'+index+'detail').addClass('hide_detail');
			$('#'+index).removeAttr( 'style' );
			$('#'+index+'detail').removeAttr( 'style' );
		}
	});
	
	
	$('.ajouter_contact').click(function(){
		$('.contact_supplementaire').show();
	});
	$('.supprimer_contact').click(function(){
		$(this).parent().parent().hide();
	});
	
	

	